Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.linker
Class RpcDataArtifact

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<RpcDataArtifact>
          com.google.gwt.rpc.linker.RpcDataArtifact

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public class RpcDataArtifact

extends Artifact<RpcDataArtifact>

This artifact allows the RpcProxyCreator class to communicate with the ClientOracleLinker.

See Also:
  Serialized Form

Constructor Summary
`RpcDataArtifact(java.lang.String rpcServiceName)`

Method Summary
`protected int` | `compareToComparableArtifact(RpcDataArtifact o)` Performs comparison with an artifact of a compatible base type.
`protected java.lang.Class<RpcDataArtifact>` | `getComparableArtifactType()` Returns the base type to use for comparisons between Artifacts.
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getOperableFields()`
`int` | `hashCode()` The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.
`void` | `setFields(java.lang.String className, java.util.List<java.lang.String> fields)`

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker, isTransferableFromShards, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RpcDataArtifact

    public RpcDataArtifact(java.lang.String rpcServiceName)

Method Detail

### getOperableFields

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getOperableFields()

### hashCode

    public int hashCode()

  Description copied from class: `Artifact`
  The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.

  Specified by:
    `hashCode` in class `Artifact<RpcDataArtifact>`

### setFields

    public void setFields(java.lang.String className,
                          java.util.List<java.lang.String> fields)

### compareToComparableArtifact

    protected int compareToComparableArtifact(RpcDataArtifact o)

  Description copied from class: `Artifact`
  Performs comparison with an artifact of a compatible base type. Objects which compare to 0 are assumed equal, and must return the same `Artifact.hashCode()`.

  Specified by:
    `compareToComparableArtifact` in class `Artifact<RpcDataArtifact>`

### getComparableArtifactType

    protected java.lang.Class<RpcDataArtifact> getComparableArtifactType()

  Description copied from class: `Artifact`
  Returns the base type to use for comparisons between Artifacts. All concrete implementations of this methods must be final.

  Specified by:
    `getComparableArtifactType` in class `Artifact<RpcDataArtifact>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD